Subject: bug#15129: Emacs broken on FreeBSD in/after r113315

From: [email-masked] (Ashish SHUKLA)
Date: Wed, 21 Aug 2013 14:19:19 +0530

On Tue, 20 Aug 2013 23:16:37 -0700, Paul Eggert <[email-masked]> said:
> I looked into this a bit more.

> As I understand it, FreeBSD 8 posix_openpt supports O_CLOEXEC
> but this is undocumented, FreeBSD 9 posix_openpt rejects
> attempts to use O_CLOEXEC, and future FreeBSD posix_openpt
> will support O_CLOEXEC again.  See:

> http://lists.freebsd.org/pipermail/freebsd-bugs/2011-November/046295.html
> http://bogomips.org/ruby.git/patch/?id=452bf3b9c954d770ccb704cb9f5470f515e00584

> What a mess, huh?  I installed two patches as trunk
> bzr 113963 and 113964 to try to work around FreeBSD's
> flip-flopping on this issue.  Please let us know if they
> fix your problem.

Hi,

I tried r113965, and your commits seems to fix the issue for me. I've asked
Christoph (the reporter of Debian kFreeBSD) to also test it.

Thanks!
-- 
Ashish SHUKLA

“Digital files cannot be made uncopyable, any more than water can be made not
wet.” (Bruce Schneier, 2001-05-15)

Sent from my Emacs